Bug 804770 - (CVE-2012-1570) CVE-2012-1570 maradns: deleted domain record cache persistance flaw
CVE-2012-1570 maradns: deleted domain record cache persistance flaw
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120317,repor...
: Security
Depends On: 804776 804777
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 14:34 EDT by Vincent Danen
Modified: 2013-08-02 12:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 12:24:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-19 14:34:19 EDT
It was reported [1],[2] that MaraDNS suffers from a flaw where it is susceptible to spoofing attacks.  Due to an error in the cache update policy, which does not properly handle revoked domain names, a remote attacker could keep a domain name resolvable after it has been deleted from the registration.

This flaw is fixed in versions 1.3.0.7.15 and 1.4.12, and is reported to affect all prior versions.

[1] http://www.maradns.org/changelog.html
[2] https://secunia.com/advisories/48492/
Comment 1 Vincent Danen 2012-03-19 14:38:48 EDT
Created maradns tracking bugs for this issue

Affects: fedora-all [bug 804776]
Affects: epel-5 [bug 804777]
Comment 2 Kurt Seifried 2012-03-20 13:03:23 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/20/10
Comment 3 Vincent Danen 2013-08-02 12:24:02 EDT
Current Fedora versions of MaraDNS are not affected by this, however EPEL5 is still vulnerable.  Keeping the EPEL5 tracker and closing this one.

Note You need to log in before you can comment on or make changes to this bug.